.TH "MKMAMEDB" "1" "March 14, 2014" "NiH" "General Commands Manual"
.nh
.if n .ad l
.SH "NAME"
\fBmkmamedb\fR
\- create database for use by ckmame
.SH "SYNOPSIS"
.HP 9n
\fBmkmamedb\fR
[\fB\-huV\fR]
[\fB\-C\fR\ \fIhashtypes\fR]
[\fB\-F\fR\ \fIoutputformat\fR]
[\fB\-o\fR\ \fIdbfile\fR]
[\fB\-x\fR\ \fIpat\fR]
[\fB\-\fR\fB\-detector\fR\ \fIfile\fR]
[\fB\-\fR\fB\-exclude\fR\ \fIpat\fR]
[\fB\-\fR\fB\-hash\-types\fR\ \fItypes\fR]
[\fB\-\fR\fB\-help\fR]
[\fB\-\fR\fB\-no\-directory\-cache\fR]
[\fB\-\fR\fB\-only\-files\fR\ \fIpattern\fR]
[\fB\-\fR\fB\-output\fR\ \fIdbfile\fR]
[\fB\-\fR\fB\-prog\-description\fR\ \fIdescription\fR]
[\fB\-\fR\fB\-prog\-name\fR\ \fIname\fR]
[\fB\-\fR\fB\-prog\-version\fR\ \fIversion\fR]
[\fB\-\fR\fB\-roms\-unzipped\fR]
[\fB\-\fR\fB\-skip\-files\fR\ \fIpattern\fR]
[\fB\-\fR\fB\-version\fR]
[\fIrominfo\-file\ ...\fR]
.SH "DESCRIPTION"
\fBmkmamedb\fR
converts ROM set descriptions from one format to another.
.PP
The ROM set description is read from the specified files (or
directories) or the standard input if no files are specified.
The default output file is
\fImame.db\fR.
You can override it with the
\fB\-o\fR
option or the
\fRMAMEDB\fR
environment variable.
.PP
Supported input formats are:
.RS 6n
.PD 0
.TP 4n
\fBo\fR
CMPro dat file
.TP 4n
\fBo\fR
MAME XML file
.TP 4n
\fBo\fR
MESS Softlist XML file
.TP 4n
\fBo\fR
Romcenter dat file
.TP 4n
\fBo\fR
ckmame(1)
database format
.TP 4n
\fBo\fR
directory of zip archives
.TP 4n
\fBo\fR
directory with subdirectories (with
\fB\-u\fR);
each sub-directory is taken as a game
.RE
Supported output formats are:
.RS 6n
.TP 4n
\fBo\fR
ckmame(1)
database format
.TP 4n
\fBo\fR
CMPro dat file
.TP 4n
\fBo\fR
Logiqx XML dat file
.TP 4n
\fBo\fR
mtree(8)
file
.RE
.PD
.PP
The CMPro file format is described at
\fIhttp://www.logiqx.com/FAQs/CMPro.shtml\fR,
the DTD for MAME xml can be found in
\fIPREFIX/share/doc/ckmame/\fR.
.SS "OPTIONS"
\fBmkmamedb\fR
supports the following options:
.TP 31n
\fB\-C\fR \fItypes\fR, \fB\-\fR\fB\-hash\-types\fR \fItypes\fR
A comma separated list of hash types to compute when creating a ROM
set description from a directory of zip archives.
Supported hash types are: crc, md5, sha1.
Default are all.
.TP 31n
\fB\-F\fR \fIoutputformat\fR, \fB\-\fR\fB\-format\fR \fIoutputformat\fR
Specify output format.
Supported formats are
\fBcm\fR
(clrmamepro dat file),
\fBdat\fR
(XML datfile),
\fBdb\fR
(ckmame(1)
database), and
\fBmtree\fR
(mtree(8)
file).
The default is cm.
.TP 31n
\fB\-\fR\fB\-detector\fR \fIfile\fR
Use CMPro XML header skip detector description from
\fIfile\fR.
This overrides any detectors given in the file itself.
\fBmkmamedb\fR
looks for the detector in the input file (if it is a zip file) or
the directory of the input file.
.TP 31n
\fB\-h\fR, \fB\-\fR\fB\-help\fR
Display a short help message.
.TP 31n
\fB\-o\fR \fIdbfile\fR, \fB\-\fR\fB\-output\fR \fIdbfile\fR
Write to database
\fIdbfile\fR
instead of the default
\(lq\fImame.db\fR\(rq.
.TP 31n
\fB\-\fR\fB\-no\-directory\-cache\fR
When
\fBmkmamedb\fR
is used to create a database from an input directory, it will by
default write a
\fI.ckmame.db\fR
database file to it, caching the directory contents' hashes in it so
that consecutive re-runs are faster.
When
\fBmkmamedb\fR
finds such a database, it only computes the hashes for the files that
have changed since the last run.
.TP 31n
\fB\-\fR\fB\-only\-files\fR \fIpattern\fR
When reading files from the file system as input,
only accept files matching the shell glob
\fIpattern\fR.
.TP 31n
\fB\-\fR\fB\-prog\-description\fR \fIdescription\fR
Set description for the program the ROM info is from.
.TP 31n
\fB\-\fR\fB\-prog\-name\fR \fIname\fR
Set name of the program the ROM info is from.
.TP 31n
\fB\-\fR\fB\-prog\-version\fR \fIversion\fR
Set version of the program the ROM info is from.
.TP 31n
\fB\-\fR\fB\-skip\-files\fR \fIpattern\fR
When reading files from the file system as input,
skip files matching the shell glob
.TP 31n
\fB\-u\fR, \fB\-\fR\fB\-roms\-unzipped\fR
ROMs are files on the disk.
Each game is represented by a directory instead of a ZIP archive.
Only relevant when creating a database based on file system contents.
.TP 31n
\fB\-V\fR, \fB\-\fR\fB\-version\fR
Display program name and version number.
.TP 31n
\fB\-x\fR \fIpat\fR, \fB\-\fR\fB\-exclude\fR \fIpat\fR
Exclude games with names matching
\fIpat\fR
from the created database.
.SH "ENVIRONMENT"
.TP 12n
\fRMAMEDB\fR
Location for the database file.
Can be overridden with the
\fB\-o\fR
option.
Defaults to
\(lq\fImame.db\fR\(rq.
.SH "EXAMPLES"
Get an input file for
mkmamedb(1)
from MAME and convert it to the internal database format:
.nf
.sp
.RS 0n
# mame \-listxml | mkmamedb
.RE
.fi
.SH "SEE ALSO"
ckmame(1),
dumpgame(1)
.SH "AUTHORS"
\fBmkmamedb\fR
was written by
Dieter Baron <\fIdillo@giga.or.at\fR>
and
Thomas Klausner <\fItk@giga.or.at\fR>.
